Bug 154528 - Export of multiple keys to a keyserver fails
Summary: Export of multiple keys to a keyserver fails
Status: RESOLVED FIXED
Alias: None
Product: kgpg
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Rolf Eike Beer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-23 14:29 UTC by baufrecht
Modified: 2008-06-21 10:58 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
export keys by QStringList (2.52 KB, patch)
2008-06-20 23:58 UTC, Rolf Eike Beer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description baufrecht 2007-12-23 14:29:32 UTC
Version:           1.2.2 (using KDE KDE 3.5.8)
Installed from:    Debian testing/unstable Packages
OS:                Linux

Hi,

it seems there is a problem in exporting multiple keys to a keyserver at once.

If you mark more than one key and choose the contextmenu (or the icon in the menu) to export them to a keyserver kgpg sends only the first marked item/key to the server. 

This depends not on the order in which you mark the keys but on the order of the keys in the list. 

I use kgpg 1.2.2 / KDE 3.5.8 on Debian
Comment 1 Rolf Eike Beer 2008-06-20 23:58:19 UTC
Created attachment 25489 [details]
export keys by QStringList

Please try the attached patch. It uses a QStringList as KGpg does in KDE4.
Comment 2 Rolf Eike Beer 2008-06-21 10:58:17 UTC
SVN commit 822717 by dakon:

Fix exporting multiple keys to keyserver at once

BUG:154528


 M  +3 -3      keyservers.cpp  
 M  +1 -1      keyservers.h  
 M  +2 -2      listkeys.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=822717